%define build_fc4 0
%define build_fc5 1

%if %{build_fc4}
%define release_extension .fc4
%endif
%if %{build_fc5}
%define release_extension .fc5
%endif

Summary: XView libraries for X11
Name: xview
Version: 3.2p1.4
Release: 21%{release_extension}
Distribution: Fedora Core
Source0: metalab.unc.edu:/pub/Linux/distributions/debian/main/source/xview_3.2p1.4.orig.tar.gz
Source1: RedHat4.2:/xview-3.2p1.pl2-4.src.rpm/Xinitrc.ol
Source2: RedHat4.2:/xview-3.2p1.pl2-4.src.rpm/openwin
Source3: RedHat4.2:/xview-3.2p1.pl2-4.src.rpm/openwin-menu-programs
%if %{build_fc4}
BuildRequires: xorg-x11-devel
%endif
%if %{build_fc5}
BuildRequires: libX11-devel, imake
%endif
Patch1: xview_3.2p1.4-21.diff.gz
Patch2: xview_Build-XView.patch
Patch3: xview_imake.patch
Patch4: xview_lseek.patch
Patch5: xview_strcat.patch

License: Distributable
Group: X11/Libraries
BuildRoot: /tmp/%{name}-%{version}-%{release}-soft
Packager: George Moody <george@mit.edu>
URL: ftp://ftp.debian.org/debian/pool/main/x/xview/

%changelog
* Fri Mar 31 2006 Jack Howarth <howarth@bromo.med.uc.edu>

- Use revision 21 diff from debian unstable
- Patched to build against either Fedora Core 4 or 5
- Modify specfile to handle either build and dependencies
- Build all of xview against default compiler for Fedora

* Mon Dec 13 2004 George Moody <george@mit.edu>

- Patched to use UNIX98 (SVR4-style) rather than BSD ptys
- Compiled for Fedora Core 3

* Thu Oct 31 2002 George Moody <george@mit.edu>

- Incorporated latest patches from debian
- Fixed build and install stages in spec file 
- Compiled for Red Hat 8.0

* Thu Jun 3 1999 Volker Kuhlmann <v.kuhlmann@elec.canterbury.ac.nz>

- Compiled for Red Hat 6.0
- Fixed bug with properties program segfaulting (missing locale files)

* Sun Jul 5 1998 Volker Kuhlmann <v.kuhlmann@elec.canterbury.ac.nz>

- The xview rpms contributed for RH 5.0 don't work properly under 5.1. This
  uses the latest debian sources for xview and packs it up into rpms.

%description
XView provides a set of pre-built, user-interface objects such as
canvases, scrollbars, menus, and control panels.  The appearance and
functionality of these objects follow the OPEN LOOK Graphical User
Interface (GUI) specification.

This is the Sun implementation of the OpenLook interface standard, using
the xview libraries. While somewhat outdated and superseded by Motif,
or gtk, it is still very useful, especially in providing compatibility
with older installations.

It is possible that the openwin desktop takes up much less disk space
to install and memory to run than modern desktops, which would make it
a good candidate for old hardware.

%package clients
Summary: OpenWindows clients.
Group: X11/Window
URL: ftp://ftp.redhat.com/pub/contrib/manhattan/

%description clients
A number of clients and utilties for OpenWindows, including olwm, textedit,
and more. Also included is olvwm, the OpenWindows virtual window manager,
with support for 24-bit color modes.

%package devel
Summary: Header files and static libraries for XView development
Group: Development/Libraries
URL: ftp://ftp.redhat.com/pub/contrib/manhattan/

%description devel
All the files needed to develop applications that, using the XView libraries,
meet the Open Look interface specifications.

%package devel-examples
Requires: xview-devel
Summary: A number of example programs and tutorials for the XView libraries.
Group: Development/Libraries
URL: ftp://ftp.redhat.com/pub/contrib/manhattan/

%description devel-examples
Sample programs - with source code - that cover the basics of XView
programming are included in this package.

Also includes documents on the XView API (Application Programming Interface).

%prep
%setup -n xview-3.2p1.4
%patch1 -p1 -b .debian-21
%patch2 -p1 -b .xview_Build-XView
%if %{build_fc5}
%patch3 -p1 -b .xview_imake
%endif
%patch4 -p1 -b .xview_lseek
%if %{build_fc4}
%patch5 -p1 -b .xview_strcat
%endif

%build
# rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
sh Build-LinuxXView.bash libs || ( cd lib/libxview; make all )
export -n DESTDIR
DESTDIR=$RPM_BUILD_ROOT . Build-LinuxXView.bash instlibs clients instclients
cd clients/olvwm-4.1
xmkmf -a
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/openwin/bin
mkdir -p $RPM_BUILD_ROOT/usr/openwin/include
mkdir -p $RPM_BUILD_ROOT/usr/openwin/lib
mkdir -p $RPM_BUILD_ROOT/usr/openwin/man
mkdir -p $RPM_BUILD_ROOT/usr/openwin/share

ln -sf ../openwin/lib/.text_extras_menu $RPM_BUILD_ROOT/usr/lib/.text_extras_menu

install -m555 $RPM_SOURCE_DIR/openwin $RPM_BUILD_ROOT/usr/openwin/bin/openwin
install -m444 $RPM_SOURCE_DIR/openwin-menu-programs $RPM_BUILD_ROOT/usr/openwin/lib

mkdir -p $RPM_BUILD_ROOT/usr/openwin/lib/app-defaults
install -m555 $RPM_SOURCE_DIR/Xinitrc.ol $RPM_BUILD_ROOT/usr/openwin/lib/Xinitrc

mkdir -p $RPM_BUILD_ROOT/usr/openwin/share/locale/C/props
install -m444 contrib/misc/props-locale.C $RPM_BUILD_ROOT/usr/openwin/share/locale/C/props/C
install -m444 contrib/misc/props-locale.basic_setting $RPM_BUILD_ROOT/usr/openwin/share/locale/C/props/basic_setting

# Strictly speaking, this requires perl, but we won't bother because everything else
# runs without perl and these scripts are not so important.
install -m555 contrib/misc/capitalize $RPM_BUILD_ROOT/usr/openwin/bin
install -m555 contrib/misc/insert_brackets $RPM_BUILD_ROOT/usr/openwin/bin
install -m555 contrib/misc/remove_brackets $RPM_BUILD_ROOT/usr/openwin/bin
install -m555 contrib/misc/shift_lines $RPM_BUILD_ROOT/usr/openwin/bin

cd clients/olvwm-4.1
make install

%post
if [ ! -f /etc/man.config ]; then
	echo "MANPATH /usr/openwin/man" > /etc/man.conf
	chmod 644 /etc/man.conf
else
	if ! grep '^MANPATH /usr/openwin/man' /etc/man.config > /dev/null; then
		echo "MANPATH /usr/openwin/man" >> /etc/man.config
	fi
fi
if [ ! -f /etc/ld.so.conf ]; then
        echo "/usr/openwin/lib" > /etc/ld.so.conf
	chmod 600 /etc/ld.so.conf
else
        if ! grep '^/usr/openwin/lib$' /etc/ld.so.conf > /dev/null; then
                echo "/usr/openwin/lib" >> /etc/ld.so.conf
        fi
fi

/sbin/ldconfig

%postun

if [ $1 = "0" ]; then
    grep -v /usr/openwin/lib /etc/ld.so.conf > /etc/ld.so.conf.net
    mv -f /etc/ld.so.conf.net /etc/ld.so.conf
    grep -v /usr/openwin/man /etc/man.config > /etc/man.config.net
    mv -f /etc/man.config.net /etc/man.config
fi

/sbin/ldconfig

%clean 
rm -fr $RPM_BUILD_ROOT

%files
%config /usr/openwin/lib/app-defaults
/usr/openwin/lib/libolgx.so.*
/usr/openwin/lib/libxview.so.*

%files clients
/usr/lib/.text_extras_menu
/usr/openwin/bin/capitalize
/usr/openwin/bin/clock
/usr/openwin/bin/cmdtool
/usr/openwin/bin/insert_brackets
/usr/openwin/bin/msgfmt
/usr/openwin/bin/olvwm
/usr/openwin/bin/olwm
/usr/openwin/bin/olwmslave
/usr/openwin/bin/openwin
/usr/openwin/bin/props
/usr/openwin/bin/remove_brackets
/usr/openwin/bin/shelltool
/usr/openwin/bin/shift_lines
/usr/openwin/bin/textedit
/usr/openwin/bin/xgettext
/usr/openwin/bin/cv2Xdefs
/usr/openwin/bin/cv2xview
/usr/openwin/bin/full1.sed
/usr/openwin/bin/full2.sed
/usr/openwin/bin/minimal1.sed
/usr/openwin/bin/minimal2.sed
/usr/openwin/bin/minimal3.sed
/usr/openwin/bin/minimal4.sed
/usr/openwin/include/bitmaps/1x1
/usr/openwin/include/bitmaps/2x2
/usr/openwin/include/bitmaps/black
/usr/openwin/include/bitmaps/boxes
/usr/openwin/include/bitmaps/calculator
/usr/openwin/include/bitmaps/cntr_ptr
/usr/openwin/include/bitmaps/cntr_ptrmsk
/usr/openwin/include/bitmaps/cross_weave
/usr/openwin/include/bitmaps/dimple1
/usr/openwin/include/bitmaps/dimple3
/usr/openwin/include/bitmaps/dot
/usr/openwin/include/bitmaps/dropbar7
/usr/openwin/include/bitmaps/dropbar8
/usr/openwin/include/bitmaps/escherknot
/usr/openwin/include/bitmaps/flagdown
/usr/openwin/include/bitmaps/flagup
/usr/openwin/include/bitmaps/flipped_gray
/usr/openwin/include/bitmaps/gray
/usr/openwin/include/bitmaps/gray1
/usr/openwin/include/bitmaps/gray3
/usr/openwin/include/bitmaps/hlines2
/usr/openwin/include/bitmaps/hlines3
/usr/openwin/include/bitmaps/icon
/usr/openwin/include/bitmaps/keyboard16
/usr/openwin/include/bitmaps/left_ptr
/usr/openwin/include/bitmaps/left_ptrmsk
/usr/openwin/include/bitmaps/letters
/usr/openwin/include/bitmaps/light_gray
/usr/openwin/include/bitmaps/mailempty
/usr/openwin/include/bitmaps/mailemptymsk
/usr/openwin/include/bitmaps/mailfull
/usr/openwin/include/bitmaps/mailfullmsk
/usr/openwin/include/bitmaps/mensetmanus
/usr/openwin/include/bitmaps/menu10
/usr/openwin/include/bitmaps/menu12
/usr/openwin/include/bitmaps/menu16
/usr/openwin/include/bitmaps/menu8
/usr/openwin/include/bitmaps/noletters
/usr/openwin/include/bitmaps/opendot
/usr/openwin/include/bitmaps/opendotMask
/usr/openwin/include/bitmaps/plaid
/usr/openwin/include/bitmaps/right_ptr
/usr/openwin/include/bitmaps/right_ptrmsk
/usr/openwin/include/bitmaps/root_weave
/usr/openwin/include/bitmaps/scales
/usr/openwin/include/bitmaps/sipb
/usr/openwin/include/bitmaps/star
/usr/openwin/include/bitmaps/starMask
/usr/openwin/include/bitmaps/stipple
/usr/openwin/include/bitmaps/target
/usr/openwin/include/bitmaps/terminal
/usr/openwin/include/bitmaps/tie_fighter
/usr/openwin/include/bitmaps/txtdup
/usr/openwin/include/bitmaps/txtdupmask
/usr/openwin/include/bitmaps/txtdupmore
/usr/openwin/include/bitmaps/txtdupok
/usr/openwin/include/bitmaps/txtdupokmask
/usr/openwin/include/bitmaps/txtdupokmore
/usr/openwin/include/bitmaps/txtmv
/usr/openwin/include/bitmaps/txtmvmask
/usr/openwin/include/bitmaps/txtmvmore
/usr/openwin/include/bitmaps/txtmvok
/usr/openwin/include/bitmaps/txtmvokmask
/usr/openwin/include/bitmaps/txtmvokmore
/usr/openwin/include/bitmaps/vlines2
/usr/openwin/include/bitmaps/vlines3
/usr/openwin/include/bitmaps/weird_size
/usr/openwin/include/bitmaps/wide_weave
/usr/openwin/include/bitmaps/wierd_size
/usr/openwin/include/bitmaps/wingdogs
/usr/openwin/include/bitmaps/woman
/usr/openwin/include/bitmaps/xfd_icon
/usr/openwin/include/bitmaps/xlogo11
/usr/openwin/include/bitmaps/xlogo16
/usr/openwin/include/bitmaps/xlogo32
/usr/openwin/include/bitmaps/xlogo64
/usr/openwin/include/images/PSdoc.icon
/usr/openwin/include/images/abc.pr
/usr/openwin/include/images/abstk.pr
/usr/openwin/include/images/abstk_up.pr
/usr/openwin/include/images/alert_bang32.pr
/usr/openwin/include/images/alert_qmark32.pr
/usr/openwin/include/images/basic_cursor.pr
/usr/openwin/include/images/basic_text_cursor.pr
/usr/openwin/include/images/bg1.xbm
/usr/openwin/include/images/bg2.xbm
/usr/openwin/include/images/bg3.xbm
/usr/openwin/include/images/bind.icon
/usr/openwin/include/images/black.cursor
/usr/openwin/include/images/black.icon
/usr/openwin/include/images/blank.pr
/usr/openwin/include/images/boggle.icon
/usr/openwin/include/images/box.pr
/usr/openwin/include/images/bullseye.cursor
/usr/openwin/include/images/busy.cursor
/usr/openwin/include/images/button_stack.pr
/usr/openwin/include/images/calctool.icon
/usr/openwin/include/images/canfield.icon
/usr/openwin/include/images/canvas_demo.icon
/usr/openwin/include/images/cardback.icon
/usr/openwin/include/images/chess.clock.icon
/usr/openwin/include/images/chesstool.icon
/usr/openwin/include/images/choice_12_off.pr
/usr/openwin/include/images/choice_12_on.pr
/usr/openwin/include/images/choice_14_off.pr
/usr/openwin/include/images/choice_14_on.pr
/usr/openwin/include/images/choice_16_off.pr
/usr/openwin/include/images/choice_16_on.pr
/usr/openwin/include/images/choice_19_off.pr
/usr/openwin/include/images/choice_19_on.pr
/usr/openwin/include/images/choice_24_off.pr
/usr/openwin/include/images/choice_24_on.pr
/usr/openwin/include/images/choice_32_off.pr
/usr/openwin/include/images/choice_32_on.pr
/usr/openwin/include/images/choice_stack.pr
/usr/openwin/include/images/circle.pr
/usr/openwin/include/images/circle_0.pr
/usr/openwin/include/images/circle_25.pr
/usr/openwin/include/images/circle_50.pr
/usr/openwin/include/images/circle_75.pr
/usr/openwin/include/images/circle_black.pr
/usr/openwin/include/images/circle_root.pr
/usr/openwin/include/images/clock.icon
/usr/openwin/include/images/clock.rom.icon
/usr/openwin/include/images/cmdtool.icon
/usr/openwin/include/images/cmdtool_mask.icon
/usr/openwin/include/images/cmrb14.pr
/usr/openwin/include/images/cmrr14.pr
/usr/openwin/include/images/compose.icon
/usr/openwin/include/images/compress.icon
/usr/openwin/include/images/confirm.cursor
/usr/openwin/include/images/confirm.pr
/usr/openwin/include/images/confirm_left.pr
/usr/openwin/include/images/confirm_middle.pr
/usr/openwin/include/images/confirm_right.pr
/usr/openwin/include/images/console.icon
/usr/openwin/include/images/console_mask.icon
/usr/openwin/include/images/copy.cursor
/usr/openwin/include/images/copy_cursor.pr
/usr/openwin/include/images/copyletter.cursor
/usr/openwin/include/images/copyletter.pr
/usr/openwin/include/images/copyletters.cursor
/usr/openwin/include/images/copyletters.pr
/usr/openwin/include/images/core_eye.icon
/usr/openwin/include/images/coredoc.icon
/usr/openwin/include/images/cursor_demo.icon
/usr/openwin/include/images/cycle.pr
/usr/openwin/include/images/dbxtool.icon
/usr/openwin/include/images/dead.icon
/usr/openwin/include/images/default.icon
/usr/openwin/include/images/default_pin_out.pr
/usr/openwin/include/images/defaultsedit.icon
/usr/openwin/include/images/dos.icon
/usr/openwin/include/images/down_arrow.pr
/usr/openwin/include/images/down_button_10.pr
/usr/openwin/include/images/down_button_12.pr
/usr/openwin/include/images/down_button_14.pr
/usr/openwin/include/images/down_button_19.pr
/usr/openwin/include/images/draw.icon
/usr/openwin/include/images/drawdoc.icon
/usr/openwin/include/images/dup.cursor
/usr/openwin/include/images/dup_cursor.pr
/usr/openwin/include/images/empty_letter.icon
/usr/openwin/include/images/equal.icon
/usr/openwin/include/images/filemgr.icon
/usr/openwin/include/images/fl_arrow.xbm
/usr/openwin/include/images/fl_doc.xbm
/usr/openwin/include/images/fl_folder.xbm
/usr/openwin/include/images/fm_clock.icon
/usr/openwin/include/images/fm_cmdtool.icon
/usr/openwin/include/images/fm_dbxtool.icon
/usr/openwin/include/images/fm_fontedit.icon
/usr/openwin/include/images/fm_iconedit.icon
/usr/openwin/include/images/fm_mailtool.icon
/usr/openwin/include/images/fm_textedit.icon
/usr/openwin/include/images/fm_traffic.icon
/usr/openwin/include/images/focus_right.cursor
/usr/openwin/include/images/focus_up.cursor
/usr/openwin/include/images/folder.pr
/usr/openwin/include/images/fontdoc.icon
/usr/openwin/include/images/fontedit.icon
/usr/openwin/include/images/framedoc.icon
/usr/openwin/include/images/fv.icon
/usr/openwin/include/images/gallant19.pr
/usr/openwin/include/images/gallantr19.pr
/usr/openwin/include/images/gammon.icon
/usr/openwin/include/images/gfxtool.icon
/usr/openwin/include/images/glass.cursor
/usr/openwin/include/images/gr_25.cursor
/usr/openwin/include/images/gr_50.cursor
/usr/openwin/include/images/gr_75.cursor
/usr/openwin/include/images/gr_root.cursor
/usr/openwin/include/images/grey_stencil_50.pr
/usr/openwin/include/images/grid.pr
/usr/openwin/include/images/hello_world.icon
/usr/openwin/include/images/hglass.cursor
/usr/openwin/include/images/ibeam.cursor
/usr/openwin/include/images/icondoc.icon
/usr/openwin/include/images/iconedit.icon
/usr/openwin/include/images/indentdefaults.icon
/usr/openwin/include/images/jump1.icon
/usr/openwin/include/images/jump2.icon
/usr/openwin/include/images/jump3.icon
/usr/openwin/include/images/jump4.icon
/usr/openwin/include/images/jump5.icon
/usr/openwin/include/images/jump6.icon
/usr/openwin/include/images/k1.pr
/usr/openwin/include/images/k2.pr
/usr/openwin/include/images/k3.pr
/usr/openwin/include/images/k4.pr
/usr/openwin/include/images/k5.pr
/usr/openwin/include/images/letter.pr
/usr/openwin/include/images/letters.pr
/usr/openwin/include/images/life.icon
/usr/openwin/include/images/line.pr
/usr/openwin/include/images/lockscreen.icon
/usr/openwin/include/images/mail.icon
/usr/openwin/include/images/maildoc.icon
/usr/openwin/include/images/mailseen.icon
/usr/openwin/include/images/maze.icon
/usr/openwin/include/images/mglass.icon
/usr/openwin/include/images/mglass_mask.icon
/usr/openwin/include/images/mouse_left_hand.pr
/usr/openwin/include/images/mouse_left_hand_grey.pr
/usr/openwin/include/images/mouse_mid_hand.pr
/usr/openwin/include/images/mouse_mid_hand_grey.pr
/usr/openwin/include/images/move.cursor
/usr/openwin/include/images/move_cursor.pr
/usr/openwin/include/images/move_h.cursor
/usr/openwin/include/images/move_v.cursor
/usr/openwin/include/images/moveletter.cursor
/usr/openwin/include/images/moveletter.pr
/usr/openwin/include/images/moveletters.cursor
/usr/openwin/include/images/moveletters.pr
/usr/openwin/include/images/nautilus.icon
/usr/openwin/include/images/nomail.icon
/usr/openwin/include/images/none.cursor
/usr/openwin/include/images/off.pr
/usr/openwin/include/images/on.pr
/usr/openwin/include/images/overview.icon
/usr/openwin/include/images/paintdoc.icon
/usr/openwin/include/images/painting_hand.pr
/usr/openwin/include/images/panel_button.pr
/usr/openwin/include/images/panel_button_arrow.pr
/usr/openwin/include/images/panel_check_choice.pr
/usr/openwin/include/images/panel_check_off.pr
/usr/openwin/include/images/panel_check_on.pr
/usr/openwin/include/images/panel_choice_off.pr
/usr/openwin/include/images/panel_choice_on.pr
/usr/openwin/include/images/panel_choose_many.pr
/usr/openwin/include/images/panel_choose_one.pr
/usr/openwin/include/images/panel_default_button.pr
/usr/openwin/include/images/panel_flush.pr
/usr/openwin/include/images/panel_left_arrow.pr
/usr/openwin/include/images/panel_menu_on.pr
/usr/openwin/include/images/panel_pulldown.pr
/usr/openwin/include/images/panel_pullright.pr
/usr/openwin/include/images/panel_right_arrow.pr
/usr/openwin/include/images/panel_switch.pr
/usr/openwin/include/images/panel_text.pr
/usr/openwin/include/images/perfmeter.icon
/usr/openwin/include/images/pin_in.pr
/usr/openwin/include/images/pin_out.pr
/usr/openwin/include/images/plus.icon
/usr/openwin/include/images/point.pr
/usr/openwin/include/images/printer.icon
/usr/openwin/include/images/puzzle.icon
/usr/openwin/include/images/qmark.cursor
/usr/openwin/include/images/quick_move_cursor.pr
/usr/openwin/include/images/reply.icon
/usr/openwin/include/images/rolo.icon
/usr/openwin/include/images/rspeedometer.icon
/usr/openwin/include/images/sched.icon
/usr/openwin/include/images/screenb12.pr
/usr/openwin/include/images/screenb14.pr
/usr/openwin/include/images/screenr11.pr
/usr/openwin/include/images/screenr12.pr
/usr/openwin/include/images/screenr14.pr
/usr/openwin/include/images/screenr7.pr
/usr/openwin/include/images/scrollbar_demo.icon
/usr/openwin/include/images/shine.pr
/usr/openwin/include/images/size_pointer.pr
/usr/openwin/include/images/snapshot.icon
/usr/openwin/include/images/speedometer.icon
/usr/openwin/include/images/spreadsheet.icon
/usr/openwin/include/images/square_0.pr
/usr/openwin/include/images/square_17.pr
/usr/openwin/include/images/square_25.pr
/usr/openwin/include/images/square_50.pr
/usr/openwin/include/images/square_75.pr
/usr/openwin/include/images/square_80.pr
/usr/openwin/include/images/square_black.pr
/usr/openwin/include/images/square_root.pr
/usr/openwin/include/images/stretchNE.cursor
/usr/openwin/include/images/stretchNW.cursor
/usr/openwin/include/images/stretchSE.cursor
/usr/openwin/include/images/stretchSW.cursor
/usr/openwin/include/images/stretch_h.cursor
/usr/openwin/include/images/stretch_v.cursor
/usr/openwin/include/images/sun30.icon
/usr/openwin/include/images/sundraw.icon
/usr/openwin/include/images/sunpaint.icon
/usr/openwin/include/images/sunview_manual.icon
/usr/openwin/include/images/sunwrite.icon
/usr/openwin/include/images/switcher.icon
/usr/openwin/include/images/tapetool.icon
/usr/openwin/include/images/tektool.icon
/usr/openwin/include/images/template.icon
/usr/openwin/include/images/terminal.icon
/usr/openwin/include/images/terminal_mask.icon
/usr/openwin/include/images/text_move_cursor.pr
/usr/openwin/include/images/textedit.icon
/usr/openwin/include/images/toggle_12_off.pr
/usr/openwin/include/images/toggle_12_on.pr
/usr/openwin/include/images/toggle_14_off.pr
/usr/openwin/include/images/toggle_14_on.pr
/usr/openwin/include/images/toggle_16_off.pr
/usr/openwin/include/images/toggle_16_on.pr
/usr/openwin/include/images/toggle_19_off.pr
/usr/openwin/include/images/toggle_19_on.pr
/usr/openwin/include/images/toggle_24_off.pr
/usr/openwin/include/images/toggle_24_on.pr
/usr/openwin/include/images/toggle_32_off.pr
/usr/openwin/include/images/toggle_32_on.pr
/usr/openwin/include/images/traffic.icon
/usr/openwin/include/images/tri_down.pr
/usr/openwin/include/images/tri_left.pr
/usr/openwin/include/images/tri_right.pr
/usr/openwin/include/images/tri_up.pr
/usr/openwin/include/images/undelete.image
/usr/openwin/include/images/up_button_10.pr
/usr/openwin/include/images/up_button_12.pr
/usr/openwin/include/images/up_button_14.pr
/usr/openwin/include/images/up_button_19.pr
/usr/openwin/include/images/vitool.icon
/usr/openwin/include/images/white.icon
/usr/openwin/include/images/white.pr
/usr/openwin/include/images/writedoc.icon
/usr/openwin/include/images/xsol.icon
/usr/openwin/lib/.text_extras_menu
/usr/openwin/lib/.textswrc
/usr/openwin/lib/.ttyswrc
/usr/openwin/lib/Xinitrc
/usr/openwin/lib/help/clock.info
/usr/openwin/lib/help/olvwm.info
/usr/openwin/lib/help/olwm.info
/usr/openwin/lib/help/props.info
/usr/openwin/lib/help/textedit.info
/usr/openwin/lib/help/textsw.info
/usr/openwin/lib/help/ttysw.info
/usr/openwin/lib/help/workspace.info
/usr/openwin/lib/help/xview.info
/usr/openwin/lib/openwin-menu
/usr/openwin/lib/openwin-menu-programs
/usr/openwin/lib/text_extras_menu
/usr/openwin/lib/textswrc
/usr/openwin/lib/ttyswrc
/usr/openwin/man/man1/clock.1x
/usr/openwin/man/man1/cmdtool.1x
/usr/openwin/man/man1/msgfmt.1
/usr/openwin/man/man1/olwm.1x
/usr/openwin/man/man1/olwmslave.1x
/usr/openwin/man/man1/props.1x
/usr/openwin/man/man1/shelltool.1x
/usr/openwin/man/man1/textedit.1x
/usr/openwin/man/man1/xgettext.1
/usr/openwin/man/man1/xview.1x
/usr/openwin/man/man1/cv2Xdefs.1x
/usr/openwin/man/man1/cv2xview.1x
/usr/openwin/share/locale/C/props/C
/usr/openwin/share/locale/C/props/basic_setting

%files devel
%config /usr/X11R6/lib/X11/config
/usr/openwin/include/olgx/olgx.h
/usr/openwin/include/olgx_private/busy.h
/usr/openwin/include/olgx_private/grey.h
/usr/openwin/include/olgx_private/olgx_impl.h
/usr/openwin/include/pixrect/bw2var.h
/usr/openwin/include/pixrect/cg12_var.h
/usr/openwin/include/pixrect/cg2reg.h
/usr/openwin/include/pixrect/cg2var.h
/usr/openwin/include/pixrect/cg3var.h
/usr/openwin/include/pixrect/cg4var.h
/usr/openwin/include/pixrect/cg8var.h
/usr/openwin/include/pixrect/cg9var.h
/usr/openwin/include/pixrect/gp1cmds.h
/usr/openwin/include/pixrect/gp1reg.h
/usr/openwin/include/pixrect/mem32_var.h
/usr/openwin/include/pixrect/mem_rop_impl_ops.h
/usr/openwin/include/pixrect/mem_rop_impl_util.h
/usr/openwin/include/pixrect/memreg.h
/usr/openwin/include/pixrect/memvar.h
/usr/openwin/include/pixrect/pixfont.h
/usr/openwin/include/pixrect/pixrect.h
/usr/openwin/include/pixrect/pixrect_hs.h
/usr/openwin/include/pixrect/pr_dblbuf.h
/usr/openwin/include/pixrect/pr_impl_make.h
/usr/openwin/include/pixrect/pr_impl_util.h
/usr/openwin/include/pixrect/pr_io.h
/usr/openwin/include/pixrect/pr_line.h
/usr/openwin/include/pixrect/pr_planegroups.h
/usr/openwin/include/pixrect/pr_util.h
/usr/openwin/include/pixrect/rasterfile.h
/usr/openwin/include/pixrect/traprop.h
/usr/openwin/include/pixrect/tv1var.h
/usr/openwin/include/xview/alert.h
/usr/openwin/include/xview/attr.h
/usr/openwin/include/xview/attrol.h
/usr/openwin/include/xview/base.h
/usr/openwin/include/xview/canvas.h
/usr/openwin/include/xview/cms.h
/usr/openwin/include/xview/cms_grays.h
/usr/openwin/include/xview/cms_mono.h
/usr/openwin/include/xview/cms_rgb.h
/usr/openwin/include/xview/cmsrainbow.h
/usr/openwin/include/xview/cursor.h
/usr/openwin/include/xview/db.h
/usr/openwin/include/xview/defaults.h
/usr/openwin/include/xview/dragdrop.h
/usr/openwin/include/xview/drawable.h
/usr/openwin/include/xview/expandname.h
/usr/openwin/include/xview/file_chsr.h
/usr/openwin/include/xview/file_list.h
/usr/openwin/include/xview/font.h
/usr/openwin/include/xview/frame.h
/usr/openwin/include/xview/fullscreen.h
/usr/openwin/include/xview/generic.h
/usr/openwin/include/xview/hist.h
/usr/openwin/include/xview/icon.h
/usr/openwin/include/xview/icon_load.h
/usr/openwin/include/xview/notice.h
/usr/openwin/include/xview/notify.h
/usr/openwin/include/xview/openmenu.h
/usr/openwin/include/xview/openwin.h
/usr/openwin/include/xview/panel.h
/usr/openwin/include/xview/path.h
/usr/openwin/include/xview/pixwin.h
/usr/openwin/include/xview/pkg.h
/usr/openwin/include/xview/pkg_public.h
/usr/openwin/include/xview/rect.h
/usr/openwin/include/xview/rectlist.h
/usr/openwin/include/xview/screen.h
/usr/openwin/include/xview/scrollbar.h
/usr/openwin/include/xview/sel_attrs.h
/usr/openwin/include/xview/sel_compat.h
/usr/openwin/include/xview/sel_pkg.h
/usr/openwin/include/xview/sel_svc.h
/usr/openwin/include/xview/selection.h
/usr/openwin/include/xview/seln.h
/usr/openwin/include/xview/server.h
/usr/openwin/include/xview/str_utils.h
/usr/openwin/include/xview/sun.h
/usr/openwin/include/xview/svrimage.h
/usr/openwin/include/xview/termsw.h
/usr/openwin/include/xview/text.h
/usr/openwin/include/xview/textsw.h
/usr/openwin/include/xview/tty.h
/usr/openwin/include/xview/ttysw.h
/usr/openwin/include/xview/win_enum.h
/usr/openwin/include/xview/win_env.h
/usr/openwin/include/xview/win_event.h
/usr/openwin/include/xview/win_input.h
/usr/openwin/include/xview/win_notify.h
/usr/openwin/include/xview/win_screen.h
/usr/openwin/include/xview/win_struct.h
/usr/openwin/include/xview/window.h
/usr/openwin/include/xview/window_hs.h
/usr/openwin/include/xview/wmgr.h
/usr/openwin/include/xview/xv_c_types.h
/usr/openwin/include/xview/xv_error.h
/usr/openwin/include/xview/xv_i18n.h
/usr/openwin/include/xview/xv_version.h
/usr/openwin/include/xview/xv_xrect.h
/usr/openwin/include/xview/xview.h
/usr/openwin/include/xview/xview_xvin.h
/usr/openwin/include/xview_private/attr_impl.h
/usr/openwin/include/xview_private/bitmask.h
/usr/openwin/include/xview_private/charimage.h
/usr/openwin/include/xview_private/charscreen.h
/usr/openwin/include/xview_private/cms_impl.h
/usr/openwin/include/xview_private/cnvs_impl.h
/usr/openwin/include/xview_private/curs_impl.h
/usr/openwin/include/xview_private/dndimpl.h
/usr/openwin/include/xview_private/draw_impl.h
/usr/openwin/include/xview_private/ei.h
/usr/openwin/include/xview_private/es.h
/usr/openwin/include/xview_private/ev.h
/usr/openwin/include/xview_private/ev_impl.h
/usr/openwin/include/xview_private/fchsr_impl.h
/usr/openwin/include/xview_private/filter.h
/usr/openwin/include/xview_private/finger_tbl.h
/usr/openwin/include/xview_private/flist_impl.h
/usr/openwin/include/xview_private/fm_impl.h
/usr/openwin/include/xview_private/font_impl.h
/usr/openwin/include/xview_private/frame_base.h
/usr/openwin/include/xview_private/frame_cmd.h
/usr/openwin/include/xview_private/frame_help.h
/usr/openwin/include/xview_private/fs_impl.h
/usr/openwin/include/xview_private/gen_impl.h
/usr/openwin/include/xview_private/gettext.h
/usr/openwin/include/xview_private/hashfn.h
/usr/openwin/include/xview_private/hist_impl.h
/usr/openwin/include/xview_private/i18n_impl.h
/usr/openwin/include/xview_private/icon_impl.h
/usr/openwin/include/xview_private/io_stream.h
/usr/openwin/include/xview_private/item_impl.h
/usr/openwin/include/xview_private/ndet.h
/usr/openwin/include/xview_private/ndis.h
/usr/openwin/include/xview_private/nint.h
/usr/openwin/include/xview_private/noticeimpl.h
/usr/openwin/include/xview_private/ntfy.h
/usr/openwin/include/xview_private/ntfy_ctbl.h
/usr/openwin/include/xview_private/om_impl.h
/usr/openwin/include/xview_private/omi_impl.h
/usr/openwin/include/xview_private/ow_impl.h
/usr/openwin/include/xview_private/p_lst_impl.h
/usr/openwin/include/xview_private/panel_impl.h
/usr/openwin/include/xview_private/path_impl.h
/usr/openwin/include/xview_private/portable.h
/usr/openwin/include/xview_private/primal.h
/usr/openwin/include/xview_private/ps_impl.h
/usr/openwin/include/xview_private/pw_impl.h
/usr/openwin/include/xview_private/sb_impl.h
/usr/openwin/include/xview_private/scrn_impl.h
/usr/openwin/include/xview_private/scrn_vis.h
/usr/openwin/include/xview_private/sel_impl.h
/usr/openwin/include/xview_private/seln_impl.h
/usr/openwin/include/xview_private/site_impl.h
/usr/openwin/include/xview_private/svr_atom.h
/usr/openwin/include/xview_private/svr_impl.h
/usr/openwin/include/xview_private/svr_kmdata.h
/usr/openwin/include/xview_private/svrim_impl.h
/usr/openwin/include/xview_private/term_impl.h
/usr/openwin/include/xview_private/tty_impl.h
/usr/openwin/include/xview_private/ttyansi.h
/usr/openwin/include/xview_private/txt_18impl.h
/usr/openwin/include/xview_private/txt_impl.h
/usr/openwin/include/xview_private/ultrix_cpt.h
/usr/openwin/include/xview_private/win_info.h
/usr/openwin/include/xview_private/win_keymap.h
/usr/openwin/include/xview_private/windowimpl.h
/usr/openwin/include/xview_private/wmgr_decor.h
/usr/openwin/include/xview_private/xv_color.h
/usr/openwin/include/xview_private/xv_debug.h
/usr/openwin/include/xview_private/xv_list.h
/usr/openwin/include/xview_private/xv_path_util.h
/usr/openwin/lib/libolgx.a
/usr/openwin/lib/libolgx.so
/usr/openwin/lib/libxview.a
/usr/openwin/lib/libxview.so

%files devel-examples
/usr/openwin/share/doc
/usr/openwin/share/src
